﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Layouts.Primitives;
using Infragistics.Controls.Layouts;
using System.Diagnostics;

namespace xamTileManager1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.SizeChanged += new SizeChangedEventHandler(MainWindow_SizeChanged);
        }

        void MainWindow_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            Resize();
        }

        private void xamTileManager1_TileStateChanged(object sender, TileStateChangedEventArgs e)
        {
            Resize();
        }

        private void Resize()
        {
            this.xamTileManager1.MaximizedModeSettings.MinimizedExpandedTileConstraints.MinWidth = this.RenderSize.Width * 0.5f;
            this.xamTileManager1.MaximizedModeSettings.MinimizedExpandedTileConstraints.MaxWidth = this.RenderSize.Width * 0.5f;
            XamTile xamTile = (XamTile)this.xamTileManager1.Items[0];
            xamTile.MinWidth = this.RenderSize.Width * 0.5f;
            xamTile.MaxWidth = this.RenderSize.Width * 0.5f;
        }
    }
}
